/* $VER: AutomaticTextFrame.rexx 1.0 (02.9.94)
   Copyright 1994 Soft-Logik Publishing Corporation
   May not be distributed without Soft-Logik Publishing Corporation's express written permission */

OPTIONS RESULTS
TRACE OFF

/* Make sure rexx support is opened */
IF ~SHOW('L','rexxsupport.library') THEN
   CALL ADDLIB('rexxsupport.library',0,-30)

ADDRESS 'PAGESTREAM'

/* Check and see if a text frame is selected */
'getobject type objtype'
say objtype
if objtype=11 then do
    'refresh wait'
    getcolumn position pstem columns number gutter space rotation rstem about rstem constrain cflag print pflag
    pstring=pstem.left' 'pstem.top' 'pstem.right' 'pstem.bottom' skew 'rstem.slant' 'rstem.twist' columns 'number' gutter 'space
    if rstem.mode=POINT then pstring=pstring' about 'rstem.x' 'rstem.y
    if cflag=ON then pstring=pstring' constrain'
    if pflag=OFF then pstring=pstring' noprint'
    getdisplay dstem
    display page dstem.page+1
    'drawcolumn 'pstring
    'refresh continue'
end
else do
    allocarexxrequester '"Automatic Text Frame Error!"' 524 51
    reqhandle=result
    addarexxgadget reqhandle EXIT 235 34 70 label "_Exit"
        Exithandle=result
    addarexxgadget reqhandle TEXT 8 10 504 border none string "'The insertion point must be in a text frame to use this macro.'"
    doarexxrequester reqhandle
    freearexxrequester reqhandle
    EXIT
end
EXIT

CANCEL:
selectobject objectid objnum
'refresh continue'
EXIT
